Loading...
Searching...
No Matches
ResetLocale.hpp File Reference

Provides a free function to reset the localization settings. More...

`#include <stdlib.h>`

Go to the source code of this file.

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Functions

void | Opm::resetLocale ()

## Detailed Description

Provides a free function to reset the localization settings.

Under some circumstances, some environments seem to set a locale which they do not install. In turn this leads to std::runtime_errror being thrown by some parts of Boost (for some versions) which causes unsolicited program aborts.

This issue asside, it looks pretty weird if the e.g. the number format is inconsistent with the language used by rest of the simulation.